org.apache.groovy.parser.antlr4

## Class GroovyParser

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>
  - - org.antlr.v4.runtime.Parser
    - - org.apache.groovy.parser.antlr4.AbstractParser
      - - org.apache.groovy.parser.antlr4.GroovyParser

- All Implemented Interfaces:
    SyntaxErrorReportable
  Direct Known Subclasses:
    GroovyLangParser

      public class GroovyParser
      extends AbstractParser

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroovyParser.AdditiveExprAltContext`
    `static class` | `GroovyParser.AndExprAltContext`
    `static class` | `GroovyParser.AnnotatedQualifiedClassNameContext`
    `static class` | `GroovyParser.AnnotationContext`
    `static class` | `GroovyParser.AnnotationNameContext`
    `static class` | `GroovyParser.AnnotationsOptContext`
    `static class` | `GroovyParser.AnonymousInnerClassDeclarationContext`
    `static class` | `GroovyParser.ArgumentsContext`
    `static class` | `GroovyParser.ArrayInitializerContext`
    `static class` | `GroovyParser.AssertStatementContext`
    `static class` | `GroovyParser.AssertStmtAltContext`
    `static class` | `GroovyParser.AssignmentExprAltContext`
    `static class` | `GroovyParser.BlockContext`
    `static class` | `GroovyParser.BlockStatementContext`
    `static class` | `GroovyParser.BlockStatementsContext`
    `static class` | `GroovyParser.BlockStatementsOptContext`
    `static class` | `GroovyParser.BlockStmtAltContext`
    `static class` | `GroovyParser.BooleanLiteralAltContext`
    `static class` | `GroovyParser.BreakStatementContext`
    `static class` | `GroovyParser.BreakStmtAltContext`
    `static class` | `GroovyParser.BuiltInTypeContext`
    `static class` | `GroovyParser.BuiltInTypePrmrAltContext`
    `static class` | `GroovyParser.CastExprAltContext`
    `static class` | `GroovyParser.CastParExpressionContext`
    `static class` | `GroovyParser.CatchClauseContext`
    `static class` | `GroovyParser.CatchTypeContext`
    `static class` | `GroovyParser.ClassBodyContext`
    `static class` | `GroovyParser.ClassBodyDeclarationContext`
    `static class` | `GroovyParser.ClassDeclarationContext`
    `static class` | `GroovyParser.ClassicalForControlContext`
    `static class` | `GroovyParser.ClassifiedModifiersContext`
    `static class` | `GroovyParser.ClassNameContext`
    `static class` | `GroovyParser.ClassOrInterfaceModifierContext`
    `static class` | `GroovyParser.ClassOrInterfaceModifiersContext`
    `static class` | `GroovyParser.ClassOrInterfaceModifiersOptContext`
    `static class` | `GroovyParser.ClassOrInterfaceTypeContext`
    `static class` | `GroovyParser.ClosureContext`
    `static class` | `GroovyParser.ClosureOrLambdaExpressionContext`
    `static class` | `GroovyParser.ClosureOrLambdaExpressionPrmrAltContext`
    `static class` | `GroovyParser.CommandArgumentContext`
    `static class` | `GroovyParser.CommandExprAltContext`
    `static class` | `GroovyParser.CommandExpressionContext`
    `static class` | `GroovyParser.CompilationUnitContext`
    `static class` | `GroovyParser.ConditionalExprAltContext`
    `static class` | `GroovyParser.ConditionalStatementContext`
    `static class` | `GroovyParser.ConditionalStmtAltContext`
    `static class` | `GroovyParser.ContinueStatementContext`
    `static class` | `GroovyParser.ContinueStmtAltContext`
    `static class` | `GroovyParser.CreatedNameContext`
    `static class` | `GroovyParser.CreatorContext`
    `static class` | `GroovyParser.DimContext`
    `static class` | `GroovyParser.DoWhileStmtAltContext`
    `static class` | `GroovyParser.DynamicMemberNameContext`
    `static class` | `GroovyParser.ElementValueArrayInitializerContext`
    `static class` | `GroovyParser.ElementValueContext`
    `static class` | `GroovyParser.ElementValuePairContext`
    `static class` | `GroovyParser.ElementValuePairNameContext`
    `static class` | `GroovyParser.ElementValuePairsContext`
    `static class` | `GroovyParser.ElementValuesContext`
    `static class` | `GroovyParser.EmptyDimsContext`
    `static class` | `GroovyParser.EmptyDimsOptContext`
    `static class` | `GroovyParser.EmptyStmtAltContext`
    `static class` | `GroovyParser.EnhancedArgumentListContext`
    `static class` | `GroovyParser.EnhancedArgumentListElementContext`
    `static class` | `GroovyParser.EnhancedForControlContext`
    `static class` | `GroovyParser.EnhancedStatementExpressionContext`
    `static class` | `GroovyParser.EnumConstantContext`
    `static class` | `GroovyParser.EnumConstantsContext`
    `static class` | `GroovyParser.EqualityExprAltContext`
    `static class` | `GroovyParser.ExclusiveOrExprAltContext`
    `static class` | `GroovyParser.ExpressionContext`
    `static class` | `GroovyParser.ExpressionInParContext`
    `static class` | `GroovyParser.ExpressionListContext`
    `static class` | `GroovyParser.ExpressionListElementContext`
    `static class` | `GroovyParser.ExpressionStmtAltContext`
    `static class` | `GroovyParser.FieldDeclarationContext`
    `static class` | `GroovyParser.FinallyBlockContext`
    `static class` | `GroovyParser.FloatingPointLiteralAltContext`
    `static class` | `GroovyParser.ForControlContext`
    `static class` | `GroovyParser.ForInitContext`
    `static class` | `GroovyParser.FormalParameterContext`
    `static class` | `GroovyParser.FormalParameterListContext`
    `static class` | `GroovyParser.FormalParametersContext`
    `static class` | `GroovyParser.ForStmtAltContext`
    `static class` | `GroovyParser.ForUpdateContext`
    `static class` | `GroovyParser.GroovyParserRuleContext`
    `static class` | `GroovyParser.GstringContext`
    `static class` | `GroovyParser.GstringPathContext`
    `static class` | `GroovyParser.GstringPrmrAltContext`
    `static class` | `GroovyParser.GstringValueContext`
    `static class` | `GroovyParser.IdentifierContext`
    `static class` | `GroovyParser.IdentifierPrmrAltContext`
    `static class` | `GroovyParser.IfElseStatementContext`
    `static class` | `GroovyParser.ImportDeclarationContext`
    `static class` | `GroovyParser.InclusiveOrExprAltContext`
    `static class` | `GroovyParser.IndexPropertyArgsContext`
    `static class` | `GroovyParser.IntegerLiteralAltContext`
    `static class` | `GroovyParser.KeywordsContext`
    `static class` | `GroovyParser.LabeledStmtAltContext`
    `static class` | `GroovyParser.LambdaBodyContext`
    `static class` | `GroovyParser.ListContext`
    `static class` | `GroovyParser.ListPrmrAltContext`
    `static class` | `GroovyParser.LiteralContext`
    `static class` | `GroovyParser.LiteralPrmrAltContext`
    `static class` | `GroovyParser.LocalVariableDeclarationContext`
    `static class` | `GroovyParser.LocalVariableDeclarationStmtAltContext`
    `static class` | `GroovyParser.LogicalAndExprAltContext`
    `static class` | `GroovyParser.LogicalOrExprAltContext`
    `static class` | `GroovyParser.LoopStatementContext`
    `static class` | `GroovyParser.LoopStmtAltContext`
    `static class` | `GroovyParser.MapContext`
    `static class` | `GroovyParser.MapEntryContext`
    `static class` | `GroovyParser.MapEntryLabelContext`
    `static class` | `GroovyParser.MapEntryListContext`
    `static class` | `GroovyParser.MapPrmrAltContext`
    `static class` | `GroovyParser.MemberDeclarationContext`
    `static class` | `GroovyParser.MethodBodyContext`
    `static class` | `GroovyParser.MethodDeclarationContext`
    `static class` | `GroovyParser.MethodDeclarationStmtAltContext`
    `static class` | `GroovyParser.MethodNameContext`
    `static class` | `GroovyParser.ModifierContext`
    `static class` | `GroovyParser.ModifiersContext`
    `static class` | `GroovyParser.ModifiersOptContext`
    `static class` | `GroovyParser.MultipleAssignmentExprAltContext`
    `static class` | `GroovyParser.MultiplicativeExprAltContext`
    `static class` | `GroovyParser.NamedPropertyArgsContext`
    `static class` | `GroovyParser.NamePartContext`
    `static class` | `GroovyParser.NewPrmrAltContext`
    `static class` | `GroovyParser.NlsContext`
    `static class` | `GroovyParser.NonWildcardTypeArgumentsContext`
    `static class` | `GroovyParser.NullLiteralAltContext`
    `static class` | `GroovyParser.PackageDeclarationContext`
    `static class` | `GroovyParser.ParenPrmrAltContext`
    `static class` | `GroovyParser.ParExpressionContext`
    `static class` | `GroovyParser.PathElementContext`
    `static class` | `GroovyParser.PathExpressionContext`
    `static class` | `GroovyParser.PostfixExprAltContext`
    `static class` | `GroovyParser.PostfixExpressionContext`
    `static class` | `GroovyParser.PowerExprAltContext`
    `static class` | `GroovyParser.PrimaryContext`
    `static class` | `GroovyParser.PrimitiveTypeContext`
    `static class` | `GroovyParser.QualifiedClassNameContext`
    `static class` | `GroovyParser.QualifiedClassNameListContext`
    `static class` | `GroovyParser.QualifiedNameContext`
    `static class` | `GroovyParser.QualifiedNameElementContext`
    `static class` | `GroovyParser.QualifiedNameElementsContext`
    `static class` | `GroovyParser.QualifiedStandardClassNameContext`
    `static class` | `GroovyParser.RegexExprAltContext`
    `static class` | `GroovyParser.RelationalExprAltContext`
    `static class` | `GroovyParser.ResourceContext`
    `static class` | `GroovyParser.ResourceListContext`
    `static class` | `GroovyParser.ResourcesContext`
    `static class` | `GroovyParser.ReturnStmtAltContext`
    `static class` | `GroovyParser.ReturnTypeContext`
    `static class` | `GroovyParser.RparenContext`
    `static class` | `GroovyParser.ScriptStatementContext`
    `static class` | `GroovyParser.ScriptStatementsContext`
    `static class` | `GroovyParser.SepContext`
    `static class` | `GroovyParser.ShiftExprAltContext`
    `static class` | `GroovyParser.StandardLambdaExpressionContext`
    `static class` | `GroovyParser.StandardLambdaParametersContext`
    `static class` | `GroovyParser.StatementContext`
    `static class` | `GroovyParser.StatementExpressionContext`
    `static class` | `GroovyParser.StringLiteralAltContext`
    `static class` | `GroovyParser.StringLiteralContext`
    `static class` | `GroovyParser.SuperPrmrAltContext`
    `static class` | `GroovyParser.SwitchBlockStatementGroupContext`
    `static class` | `GroovyParser.SwitchLabelContext`
    `static class` | `GroovyParser.SwitchStatementContext`
    `static class` | `GroovyParser.SynchronizedStmtAltContext`
    `static class` | `GroovyParser.ThisFormalParameterContext`
    `static class` | `GroovyParser.ThisPrmrAltContext`
    `static class` | `GroovyParser.ThrowStmtAltContext`
    `static class` | `GroovyParser.TryCatchStatementContext`
    `static class` | `GroovyParser.TryCatchStmtAltContext`
    `static class` | `GroovyParser.TypeArgumentContext`
    `static class` | `GroovyParser.TypeArgumentsContext`
    `static class` | `GroovyParser.TypeArgumentsOrDiamondContext`
    `static class` | `GroovyParser.TypeBoundContext`
    `static class` | `GroovyParser.TypeContext`
    `static class` | `GroovyParser.TypeDeclarationContext`
    `static class` | `GroovyParser.TypeListContext`
    `static class` | `GroovyParser.TypeNamePairContext`
    `static class` | `GroovyParser.TypeNamePairsContext`
    `static class` | `GroovyParser.TypeParameterContext`
    `static class` | `GroovyParser.TypeParametersContext`
    `static class` | `GroovyParser.UnaryAddExprAltContext`
    `static class` | `GroovyParser.UnaryNotExprAltContext`
    `static class` | `GroovyParser.VariableDeclarationContext`
    `static class` | `GroovyParser.VariableDeclaratorContext`
    `static class` | `GroovyParser.VariableDeclaratorIdContext`
    `static class` | `GroovyParser.VariableDeclaratorsContext`
    `static class` | `GroovyParser.VariableInitializerContext`
    `static class` | `GroovyParser.VariableInitializersContext`
    `static class` | `GroovyParser.VariableModifierContext`
    `static class` | `GroovyParser.VariableModifiersContext`
    `static class` | `GroovyParser.VariableModifiersOptContext`
    `static class` | `GroovyParser.VariableNamesContext`
    `static class` | `GroovyParser.WhileStmtAltContext`

    - ### Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

      `org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.antlr.v4.runtime.atn.ATN` | `_ATN`
    `static String` | `_serializedATN`
    `static int` | `ABSTRACT`
    `static int` | `ADD`
    `static int` | `ADD_ASSIGN`
    `static int` | `AND`
    `static int` | `AND_ASSIGN`
    `static int` | `ARROW`
    `static int` | `AS`
    `static int` | `ASSERT`
    `static int` | `ASSIGN`
    `static int` | `AT`
    `static int` | `BITAND`
    `static int` | `BITNOT`
    `static int` | `BITOR`
    `static int` | `BooleanLiteral`
    `static int` | `BREAK`
    `static int` | `BuiltInPrimitiveType`
    `static int` | `CapitalizedIdentifier`
    `static int` | `CASE`
    `static int` | `CATCH`
    `static int` | `CLASS`
    `static int` | `COLON`
    `static int` | `COMMA`
    `static int` | `CONST`
    `static int` | `CONTINUE`
    `static int` | `DEC`
    `static int` | `DEF`
    `static int` | `DEFAULT`
    `static int` | `DIV`
    `static int` | `DIV_ASSIGN`
    `static int` | `DO`
    `static int` | `DOT`
    `static int` | `ELLIPSIS`
    `static int` | `ELSE`
    `static int` | `ELVIS`
    `static int` | `ELVIS_ASSIGN`
    `static int` | `ENUM`
    `static int` | `EQUAL`
    `static int` | `EXTENDS`
    `static int` | `FINAL`
    `static int` | `FINALLY`
    `static int` | `FloatingPointLiteral`
    `static int` | `FOR`
    `static int` | `GE`
    `static int` | `GOTO`
    `static int` | `GStringBegin`
    `static int` | `GStringEnd`
    `static int` | `GStringPart`
    `static int` | `GStringPathPart`
    `static int` | `GT`
    `static int` | `IDENTICAL`
    `static int` | `Identifier`
    `static int` | `IF`
    `static int` | `IMPLEMENTS`
    `static int` | `IMPORT`
    `static int` | `IN`
    `static int` | `INC`
    `static int` | `INSTANCEOF`
    `static int` | `IntegerLiteral`
    `static int` | `INTERFACE`
    `static int` | `LBRACE`
    `static int` | `LBRACK`
    `static int` | `LE`
    `static int` | `LPAREN`
    `static int` | `LSHIFT_ASSIGN`
    `static int` | `LT`
    `static int` | `METHOD_POINTER`
    `static int` | `METHOD_REFERENCE`
    `static int` | `MOD`
    `static int` | `MOD_ASSIGN`
    `static int` | `MUL`
    `static int` | `MUL_ASSIGN`
    `static int` | `NATIVE`
    `static int` | `NEW`
    `static int` | `NL`
    `static int` | `NOT`
    `static int` | `NOT_IDENTICAL`
    `static int` | `NOT_IN`
    `static int` | `NOT_INSTANCEOF`
    `static int` | `NOTEQUAL`
    `static int` | `NullLiteral`
    `static int` | `OR`
    `static int` | `OR_ASSIGN`
    `static int` | `PACKAGE`
    `static int` | `POWER`
    `static int` | `POWER_ASSIGN`
    `static int` | `PRIVATE`
    `static int` | `PROTECTED`
    `static int` | `PUBLIC`
    `static int` | `QUESTION`
    `static int` | `RANGE_EXCLUSIVE`
    `static int` | `RANGE_INCLUSIVE`
    `static int` | `RBRACE`
    `static int` | `RBRACK`
    `static int` | `REGEX_FIND`
    `static int` | `REGEX_MATCH`
    `static int` | `RETURN`
    `static int` | `RollBackOne`
    `static int` | `RPAREN`
    `static int` | `RSHIFT_ASSIGN`
    `static int` | `RULE_annotatedQualifiedClassName`
    `static int` | `RULE_annotation`
    `static int` | `RULE_annotationName`
    `static int` | `RULE_annotationsOpt`
    `static int` | `RULE_anonymousInnerClassDeclaration`
    `static int` | `RULE_argumentList`
    `static int` | `RULE_argumentListElement`
    `static int` | `RULE_arguments`
    `static int` | `RULE_arrayInitializer`
    `static int` | `RULE_assertStatement`
    `static int` | `RULE_block`
    `static int` | `RULE_blockStatement`
    `static int` | `RULE_blockStatements`
    `static int` | `RULE_blockStatementsOpt`
    `static int` | `RULE_breakStatement`
    `static int` | `RULE_builtInType`
    `static int` | `RULE_castOperandExpression`
    `static int` | `RULE_castParExpression`
    `static int` | `RULE_catchClause`
    `static int` | `RULE_catchType`
    `static int` | `RULE_classBody`
    `static int` | `RULE_classBodyDeclaration`
    `static int` | `RULE_classDeclaration`
    `static int` | `RULE_classicalForControl`
    `static int` | `RULE_classifiedModifiers`
    `static int` | `RULE_className`
    `static int` | `RULE_classOrInterfaceModifier`
    `static int` | `RULE_classOrInterfaceModifiers`
    `static int` | `RULE_classOrInterfaceModifiersOpt`
    `static int` | `RULE_classOrInterfaceType`
    `static int` | `RULE_closure`
    `static int` | `RULE_closureOrLambdaExpression`
    `static int` | `RULE_commandArgument`
    `static int` | `RULE_commandExpression`
    `static int` | `RULE_compilationUnit`
    `static int` | `RULE_conditionalStatement`
    `static int` | `RULE_continueStatement`
    `static int` | `RULE_createdName`
    `static int` | `RULE_creator`
    `static int` | `RULE_dim`
    `static int` | `RULE_dynamicMemberName`
    `static int` | `RULE_elementValue`
    `static int` | `RULE_elementValueArrayInitializer`
    `static int` | `RULE_elementValuePair`
    `static int` | `RULE_elementValuePairName`
    `static int` | `RULE_elementValuePairs`
    `static int` | `RULE_elementValues`
    `static int` | `RULE_emptyDims`
    `static int` | `RULE_emptyDimsOpt`
    `static int` | `RULE_enhancedArgumentList`
    `static int` | `RULE_enhancedArgumentListElement`
    `static int` | `RULE_enhancedForControl`
    `static int` | `RULE_enhancedStatementExpression`
    `static int` | `RULE_enumConstant`
    `static int` | `RULE_enumConstants`
    `static int` | `RULE_expression`
    `static int` | `RULE_expressionInPar`
    `static int` | `RULE_expressionList`
    `static int` | `RULE_expressionListElement`
    `static int` | `RULE_fieldDeclaration`
    `static int` | `RULE_finallyBlock`
    `static int` | `RULE_forControl`
    `static int` | `RULE_forInit`
    `static int` | `RULE_formalParameter`
    `static int` | `RULE_formalParameterList`
    `static int` | `RULE_formalParameters`
    `static int` | `RULE_forUpdate`
    `static int` | `RULE_generalClassOrInterfaceType`
    `static int` | `RULE_gstring`
    `static int` | `RULE_gstringPath`
    `static int` | `RULE_gstringValue`
    `static int` | `RULE_identifier`
    `static int` | `RULE_ifElseStatement`
    `static int` | `RULE_importDeclaration`
    `static int` | `RULE_indexPropertyArgs`
    `static int` | `RULE_keywords`
    `static int` | `RULE_lambdaBody`
    `static int` | `RULE_lambdaExpression`
    `static int` | `RULE_lambdaParameters`
    `static int` | `RULE_list`
    `static int` | `RULE_literal`
    `static int` | `RULE_localVariableDeclaration`
    `static int` | `RULE_loopStatement`
    `static int` | `RULE_map`
    `static int` | `RULE_mapEntry`
    `static int` | `RULE_mapEntryLabel`
    `static int` | `RULE_mapEntryList`
    `static int` | `RULE_memberDeclaration`
    `static int` | `RULE_methodBody`
    `static int` | `RULE_methodDeclaration`
    `static int` | `RULE_methodName`
    `static int` | `RULE_modifier`
    `static int` | `RULE_modifiers`
    `static int` | `RULE_modifiersOpt`
    `static int` | `RULE_namedPropertyArgs`
    `static int` | `RULE_namePart`
    `static int` | `RULE_nls`
    `static int` | `RULE_nonWildcardTypeArguments`
    `static int` | `RULE_packageDeclaration`
    `static int` | `RULE_parExpression`
    `static int` | `RULE_pathElement`
    `static int` | `RULE_pathExpression`
    `static int` | `RULE_postfixExpression`
    `static int` | `RULE_primary`
    `static int` | `RULE_primitiveType`
    `static int` | `RULE_qualifiedClassName`
    `static int` | `RULE_qualifiedClassNameList`
    `static int` | `RULE_qualifiedName`
    `static int` | `RULE_qualifiedNameElement`
    `static int` | `RULE_qualifiedNameElements`
    `static int` | `RULE_qualifiedStandardClassName`
    `static int` | `RULE_resource`
    `static int` | `RULE_resourceList`
    `static int` | `RULE_resources`
    `static int` | `RULE_returnType`
    `static int` | `RULE_rparen`
    `static int` | `RULE_scriptStatement`
    `static int` | `RULE_scriptStatements`
    `static int` | `RULE_sep`
    `static int` | `RULE_standardClassOrInterfaceType`
    `static int` | `RULE_standardLambdaExpression`
    `static int` | `RULE_standardLambdaParameters`
    `static int` | `RULE_standardType`
    `static int` | `RULE_statement`
    `static int` | `RULE_statementExpression`
    `static int` | `RULE_stringLiteral`
    `static int` | `RULE_switchBlockStatementGroup`
    `static int` | `RULE_switchLabel`
    `static int` | `RULE_switchStatement`
    `static int` | `RULE_thisFormalParameter`
    `static int` | `RULE_tryCatchStatement`
    `static int` | `RULE_type`
    `static int` | `RULE_typeArgument`
    `static int` | `RULE_typeArguments`
    `static int` | `RULE_typeArgumentsOrDiamond`
    `static int` | `RULE_typeBound`
    `static int` | `RULE_typeDeclaration`
    `static int` | `RULE_typeList`
    `static int` | `RULE_typeNamePair`
    `static int` | `RULE_typeNamePairs`
    `static int` | `RULE_typeParameter`
    `static int` | `RULE_typeParameters`
    `static int` | `RULE_variableDeclaration`
    `static int` | `RULE_variableDeclarator`
    `static int` | `RULE_variableDeclaratorId`
    `static int` | `RULE_variableDeclarators`
    `static int` | `RULE_variableInitializer`
    `static int` | `RULE_variableInitializers`
    `static int` | `RULE_variableModifier`
    `static int` | `RULE_variableModifiers`
    `static int` | `RULE_variableModifiersOpt`
    `static int` | `RULE_variableNames`
    `static String[]` | `ruleNames`
    `static int` | `SAFE_CHAIN_DOT`
    `static int` | `SAFE_DOT`
    `static int` | `SEMI`
    `static int` | `SH_COMMENT`
    `static int` | `SPACESHIP`
    `static int` | `SPREAD_DOT`
    `static int` | `STATIC`
    `static int` | `STRICTFP`
    `static int` | `StringLiteral`
    `static int` | `SUB`
    `static int` | `SUB_ASSIGN`
    `static int` | `SUPER`
    `static int` | `SWITCH`
    `static int` | `SYNCHRONIZED`
    `static int` | `THIS`
    `static int` | `THREADSAFE`
    `static int` | `THROW`
    `static int` | `THROWS`
    `static String[]` | `tokenNames` Deprecated. Use `VOCABULARY` instead.
    `static int` | `TRAIT`
    `static int` | `TRANSIENT`
    `static int` | `TRY`
    `static int` | `UNEXPECTED_CHAR`
    `static int` | `URSHIFT_ASSIGN`
    `static int` | `VAR`
    `static org.antlr.v4.runtime.Vocabulary` | `VOCABULARY`
    `static int` | `VOID`
    `static int` | `VOLATILE`
    `static int` | `WHILE`
    `static int` | `WS`
    `static int` | `XOR`
    `static int` | `XOR_ASSIGN`

    - ### Fields inherited from class org.antlr.v4.runtime.Parser

      `_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, matchedEOF`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyParser(org.antlr.v4.runtime.TokenStream input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GroovyParser.AnnotatedQualifiedClassNameContext` | `annotatedQualifiedClassName()`
    `GroovyParser.AnnotationContext` | `annotation()`
    `GroovyParser.AnnotationNameContext` | `annotationName()`
    `GroovyParser.AnnotationsOptContext` | `annotationsOpt()`
    `GroovyParser.AnonymousInnerClassDeclarationContext` | `anonymousInnerClassDeclaration(int t)`
    `GroovyParser.EnhancedArgumentListContext` | `argumentList()`
    `GroovyParser.EnhancedArgumentListElementContext` | `argumentListElement()`
    `GroovyParser.ArgumentsContext` | `arguments()`
    `GroovyParser.ArrayInitializerContext` | `arrayInitializer()`
    `GroovyParser.AssertStatementContext` | `assertStatement()`
    `GroovyParser.BlockContext` | `block()`
    `GroovyParser.BlockStatementContext` | `blockStatement()`
    `GroovyParser.BlockStatementsContext` | `blockStatements()`
    `GroovyParser.BlockStatementsOptContext` | `blockStatementsOpt()`
    `GroovyParser.BreakStatementContext` | `breakStatement()`
    `GroovyParser.BuiltInTypeContext` | `builtInType()`
    `GroovyParser.ExpressionContext` | `castOperandExpression()`
    `GroovyParser.CastParExpressionContext` | `castParExpression()`
    `GroovyParser.CatchClauseContext` | `catchClause()`
    `GroovyParser.CatchTypeContext` | `catchType()`
    `GroovyParser.ClassBodyContext` | `classBody(int t)`
    `GroovyParser.ClassBodyDeclarationContext` | `classBodyDeclaration(int t)`
    `GroovyParser.ClassDeclarationContext` | `classDeclaration()`
    `GroovyParser.ClassicalForControlContext` | `classicalForControl()`
    `GroovyParser.ClassifiedModifiersContext` | `classifiedModifiers(int t)`
    `GroovyParser.ClassNameContext` | `className()`
    `GroovyParser.ClassOrInterfaceModifierContext` | `classOrInterfaceModifier()`
    `GroovyParser.ClassOrInterfaceModifiersContext` | `classOrInterfaceModifiers()`
    `GroovyParser.ClassOrInterfaceModifiersOptContext` | `classOrInterfaceModifiersOpt()`
    `GroovyParser.ClassOrInterfaceTypeContext` | `classOrInterfaceType()`
    `GroovyParser.ClosureContext` | `closure()`
    `GroovyParser.ClosureOrLambdaExpressionContext` | `closureOrLambdaExpression()`
    `GroovyParser.CommandArgumentContext` | `commandArgument()`
    `GroovyParser.CommandExpressionContext` | `commandExpression()`
    `GroovyParser.CompilationUnitContext` | `compilationUnit()`
    `GroovyParser.ConditionalStatementContext` | `conditionalStatement()`
    `GroovyParser.ContinueStatementContext` | `continueStatement()`
    `GroovyParser.CreatedNameContext` | `createdName()`
    `protected org.antlr.v4.runtime.FailedPredicateException` | `createFailedPredicateException(String predicate, String message)`
    `GroovyParser.CreatorContext` | `creator(int t)`
    `GroovyParser.DimContext` | `dim()`
    `GroovyParser.DynamicMemberNameContext` | `dynamicMemberName()`
    `GroovyParser.ElementValueContext` | `elementValue()`
    `GroovyParser.ElementValueArrayInitializerContext` | `elementValueArrayInitializer()`
    `GroovyParser.ElementValuePairContext` | `elementValuePair()`
    `GroovyParser.ElementValuePairNameContext` | `elementValuePairName()`
    `GroovyParser.ElementValuePairsContext` | `elementValuePairs()`
    `GroovyParser.ElementValuesContext` | `elementValues()`
    `GroovyParser.EmptyDimsContext` | `emptyDims()`
    `GroovyParser.EmptyDimsOptContext` | `emptyDimsOpt()`
    `GroovyParser.EnhancedArgumentListContext` | `enhancedArgumentList()`
    `GroovyParser.EnhancedArgumentListElementContext` | `enhancedArgumentListElement()`
    `GroovyParser.EnhancedForControlContext` | `enhancedForControl()`
    `GroovyParser.EnhancedStatementExpressionContext` | `enhancedStatementExpression()`
    `GroovyParser.EnumConstantContext` | `enumConstant()`
    `GroovyParser.EnumConstantsContext` | `enumConstants()`
    `GroovyParser.ExpressionContext` | `expression()`
    `GroovyParser.ExpressionInParContext` | `expressionInPar()`
    `GroovyParser.ExpressionListContext` | `expressionList(boolean canSpread)`
    `GroovyParser.ExpressionListElementContext` | `expressionListElement(boolean canSpread)`
    `GroovyParser.FieldDeclarationContext` | `fieldDeclaration()`
    `GroovyParser.FinallyBlockContext` | `finallyBlock()`
    `GroovyParser.ForControlContext` | `forControl()`
    `GroovyParser.ForInitContext` | `forInit()`
    `GroovyParser.FormalParameterContext` | `formalParameter()`
    `GroovyParser.FormalParameterListContext` | `formalParameterList()`
    `GroovyParser.FormalParametersContext` | `formalParameters()`
    `GroovyParser.ForUpdateContext` | `forUpdate()`
    `GroovyParser.ClassOrInterfaceTypeContext` | `generalClassOrInterfaceType()`
    `int` | `getErrorColumn()`
    `int` | `getErrorLine()`
    `String` | `getGrammarFileName()`
    `String[]` | `getRuleNames()`
    `String` | `getSerializedATN()`
    `int` | `getSyntaxErrorSource()`
    `String[]` | `getTokenNames()` Deprecated.
    `org.antlr.v4.runtime.Vocabulary` | `getVocabulary()`
    `GroovyParser.GstringContext` | `gstring()`
    `GroovyParser.GstringPathContext` | `gstringPath()`
    `GroovyParser.GstringValueContext` | `gstringValue()`
    `GroovyParser.IdentifierContext` | `identifier()`
    `GroovyParser.IfElseStatementContext` | `ifElseStatement()`
    `GroovyParser.ImportDeclarationContext` | `importDeclaration()`
    `GroovyParser.IndexPropertyArgsContext` | `indexPropertyArgs()`
    `GroovyParser.KeywordsContext` | `keywords()`
    `GroovyParser.LambdaBodyContext` | `lambdaBody()`
    `GroovyParser.StandardLambdaExpressionContext` | `lambdaExpression()`
    `GroovyParser.StandardLambdaParametersContext` | `lambdaParameters()`
    `GroovyParser.ListContext` | `list()`
    `GroovyParser.LiteralContext` | `literal()`
    `GroovyParser.LocalVariableDeclarationContext` | `localVariableDeclaration()`
    `GroovyParser.LoopStatementContext` | `loopStatement()`
    `GroovyParser.MapContext` | `map()`
    `GroovyParser.MapEntryContext` | `mapEntry()`
    `GroovyParser.MapEntryLabelContext` | `mapEntryLabel()`
    `GroovyParser.MapEntryListContext` | `mapEntryList()`
    `GroovyParser.MemberDeclarationContext` | `memberDeclaration(int t)`
    `GroovyParser.MethodBodyContext` | `methodBody()`
    `GroovyParser.MethodDeclarationContext` | `methodDeclaration(int t, int ct)`
    `GroovyParser.MethodNameContext` | `methodName()`
    `GroovyParser.ModifierContext` | `modifier()`
    `GroovyParser.ModifiersContext` | `modifiers()`
    `GroovyParser.ModifiersOptContext` | `modifiersOpt()`
    `GroovyParser.NamedPropertyArgsContext` | `namedPropertyArgs()`
    `GroovyParser.NamePartContext` | `namePart()`
    `GroovyParser.NlsContext` | `nls()`
    `GroovyParser.NonWildcardTypeArgumentsContext` | `nonWildcardTypeArguments()`
    `GroovyParser.PackageDeclarationContext` | `packageDeclaration()`
    `GroovyParser.ParExpressionContext` | `parExpression()`
    `GroovyParser.PathElementContext` | `pathElement()`
    `GroovyParser.PathExpressionContext` | `pathExpression()`
    `GroovyParser.PostfixExpressionContext` | `postfixExpression()`
    `GroovyParser.PrimaryContext` | `primary()`
    `GroovyParser.PrimitiveTypeContext` | `primitiveType()`
    `GroovyParser.QualifiedClassNameContext` | `qualifiedClassName()`
    `GroovyParser.QualifiedClassNameListContext` | `qualifiedClassNameList()`
    `GroovyParser.QualifiedNameContext` | `qualifiedName()`
    `GroovyParser.QualifiedNameElementContext` | `qualifiedNameElement()`
    `GroovyParser.QualifiedNameElementsContext` | `qualifiedNameElements()`
    `GroovyParser.QualifiedStandardClassNameContext` | `qualifiedStandardClassName()`
    `GroovyParser.ResourceContext` | `resource()`
    `GroovyParser.ResourceListContext` | `resourceList()`
    `GroovyParser.ResourcesContext` | `resources()`
    `GroovyParser.ReturnTypeContext` | `returnType(int ct)`
    `GroovyParser.RparenContext` | `rparen()`
    `GroovyParser.ScriptStatementContext` | `scriptStatement()`
    `GroovyParser.ScriptStatementsContext` | `scriptStatements()`
    `boolean` | `sempred(org.antlr.v4.runtime.RuleContext _localctx, int ruleIndex, int predIndex)`
    `GroovyParser.SepContext` | `sep()`
    `GroovyParser.ClassOrInterfaceTypeContext` | `standardClassOrInterfaceType()`
    `GroovyParser.StandardLambdaExpressionContext` | `standardLambdaExpression()`
    `GroovyParser.StandardLambdaParametersContext` | `standardLambdaParameters()`
    `GroovyParser.TypeContext` | `standardType()`
    `GroovyParser.StatementContext` | `statement()`
    `GroovyParser.StatementExpressionContext` | `statementExpression()`
    `GroovyParser.StringLiteralContext` | `stringLiteral()`
    `GroovyParser.SwitchBlockStatementGroupContext` | `switchBlockStatementGroup()`
    `GroovyParser.SwitchLabelContext` | `switchLabel()`
    `GroovyParser.SwitchStatementContext` | `switchStatement()`
    `GroovyParser.ThisFormalParameterContext` | `thisFormalParameter()`
    `GroovyParser.TryCatchStatementContext` | `tryCatchStatement()`
    `GroovyParser.TypeContext` | `type()`
    `GroovyParser.TypeArgumentContext` | `typeArgument()`
    `GroovyParser.TypeArgumentsContext` | `typeArguments()`
    `GroovyParser.TypeArgumentsOrDiamondContext` | `typeArgumentsOrDiamond()`
    `GroovyParser.TypeBoundContext` | `typeBound()`
    `GroovyParser.TypeDeclarationContext` | `typeDeclaration()`
    `GroovyParser.TypeListContext` | `typeList()`
    `GroovyParser.TypeNamePairContext` | `typeNamePair()`
    `GroovyParser.TypeNamePairsContext` | `typeNamePairs()`
    `GroovyParser.TypeParameterContext` | `typeParameter()`
    `GroovyParser.TypeParametersContext` | `typeParameters()`
    `GroovyParser.VariableDeclarationContext` | `variableDeclaration(int t)`
    `GroovyParser.VariableDeclaratorContext` | `variableDeclarator()`
    `GroovyParser.VariableDeclaratorIdContext` | `variableDeclaratorId()`
    `GroovyParser.VariableDeclaratorsContext` | `variableDeclarators()`
    `GroovyParser.VariableInitializerContext` | `variableInitializer()`
    `GroovyParser.VariableInitializersContext` | `variableInitializers()`
    `GroovyParser.VariableModifierContext` | `variableModifier()`
    `GroovyParser.VariableModifiersContext` | `variableModifiers()`
    `GroovyParser.VariableModifiersOptContext` | `variableModifiersOpt()`
    `GroovyParser.VariableNamesContext` | `variableNames()`

    - ### Methods inherited from class org.antlr.v4.runtime.Parser

      `addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, enterLeftFactoredRule, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getErrorListenerDispatch, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `action, addErrorListener, getATN, getErrorHeader, getErrorListeners, getInterpreter, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, removeErrorListener, removeErrorListeners, setInterpreter, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.groovy.parser.antlr4.SyntaxErrorReportable

      `genPositionInfo, require, require, require, require, throwSyntaxError`

- - ### Field Detail

    - #### StringLiteral

          public static final int StringLiteral

      See Also:
        Constant Field Values

    - #### GStringBegin

          public static final int GStringBegin

      See Also:
        Constant Field Values

    - #### GStringEnd

          public static final int GStringEnd

      See Also:
        Constant Field Values

    - #### GStringPart

          public static final int GStringPart

      See Also:
        Constant Field Values

    - #### GStringPathPart

          public static final int GStringPathPart

      See Also:
        Constant Field Values

    - #### RollBackOne

          public static final int RollBackOne

      See Also:
        Constant Field Values

    - #### AS

          public static final int AS

      See Also:
        Constant Field Values

    - #### DEF

          public static final int DEF

      See Also:
        Constant Field Values

    - #### IN

          public static final int IN

      See Also:
        Constant Field Values

    - #### TRAIT

          public static final int TRAIT

      See Also:
        Constant Field Values

    - #### THREADSAFE

          public static final int THREADSAFE

      See Also:
        Constant Field Values

    - #### VAR

          public static final int VAR

      See Also:
        Constant Field Values

    - #### BuiltInPrimitiveType

          public static final int BuiltInPrimitiveType

      See Also:
        Constant Field Values

    - #### ABSTRACT

          public static final int ABSTRACT

      See Also:
        Constant Field Values

    - #### ASSERT

          public static final int ASSERT

      See Also:
        Constant Field Values

    - #### BREAK

          public static final int BREAK

      See Also:
        Constant Field Values

    - #### CASE

          public static final int CASE

      See Also:
        Constant Field Values

    - #### CATCH

          public static final int CATCH

      See Also:
        Constant Field Values

    - #### CLASS

          public static final int CLASS

      See Also:
        Constant Field Values

    - #### CONST

          public static final int CONST

      See Also:
        Constant Field Values

    - #### CONTINUE

          public static final int CONTINUE

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final int DEFAULT

      See Also:
        Constant Field Values

    - #### DO

          public static final int DO

      See Also:
        Constant Field Values

    - #### ELSE

          public static final int ELSE

      See Also:
        Constant Field Values

    - #### ENUM

          public static final int ENUM

      See Also:
        Constant Field Values

    - #### EXTENDS

          public static final int EXTENDS

      See Also:
        Constant Field Values

    - #### FINAL

          public static final int FINAL

      See Also:
        Constant Field Values

    - #### FINALLY

          public static final int FINALLY

      See Also:
        Constant Field Values

    - #### FOR

          public static final int FOR

      See Also:
        Constant Field Values

    - #### IF

          public static final int IF

      See Also:
        Constant Field Values

    - #### GOTO

          public static final int GOTO

      See Also:
        Constant Field Values

    - #### IMPLEMENTS

          public static final int IMPLEMENTS

      See Also:
        Constant Field Values

    - #### IMPORT

          public static final int IMPORT

      See Also:
        Constant Field Values

    - #### INSTANCEOF

          public static final int INSTANCEOF

      See Also:
        Constant Field Values

    - #### INTERFACE

          public static final int INTERFACE

      See Also:
        Constant Field Values

    - #### NATIVE

          public static final int NATIVE

      See Also:
        Constant Field Values

    - #### NEW

          public static final int NEW

      See Also:
        Constant Field Values

    - #### PACKAGE

          public static final int PACKAGE

      See Also:
        Constant Field Values

    - #### PRIVATE

          public static final int PRIVATE

      See Also:
        Constant Field Values

    - #### PROTECTED

          public static final int PROTECTED

      See Also:
        Constant Field Values

    - #### PUBLIC

          public static final int PUBLIC

      See Also:
        Constant Field Values

    - #### RETURN

          public static final int RETURN

      See Also:
        Constant Field Values

    - #### STATIC

          public static final int STATIC

      See Also:
        Constant Field Values

    - #### STRICTFP

          public static final int STRICTFP

      See Also:
        Constant Field Values

    - #### SUPER

          public static final int SUPER

      See Also:
        Constant Field Values

    - #### SWITCH

          public static final int SWITCH

      See Also:
        Constant Field Values

    - #### SYNCHRONIZED

          public static final int SYNCHRONIZED

      See Also:
        Constant Field Values

    - #### THIS

          public static final int THIS

      See Also:
        Constant Field Values

    - #### THROW

          public static final int THROW

      See Also:
        Constant Field Values

    - #### THROWS

          public static final int THROWS

      See Also:
        Constant Field Values

    - #### TRANSIENT

          public static final int TRANSIENT

      See Also:
        Constant Field Values

    - #### TRY

          public static final int TRY

      See Also:
        Constant Field Values

    - #### VOID

          public static final int VOID

      See Also:
        Constant Field Values

    - #### VOLATILE

          public static final int VOLATILE

      See Also:
        Constant Field Values

    - #### WHILE

          public static final int WHILE

      See Also:
        Constant Field Values

    - #### IntegerLiteral

          public static final int IntegerLiteral

      See Also:
        Constant Field Values

    - #### FloatingPointLiteral

          public static final int FloatingPointLiteral

      See Also:
        Constant Field Values

    - #### BooleanLiteral

          public static final int BooleanLiteral

      See Also:
        Constant Field Values

    - #### NullLiteral

          public static final int NullLiteral

      See Also:
        Constant Field Values

    - #### RANGE_INCLUSIVE

          public static final int RANGE_INCLUSIVE

      See Also:
        Constant Field Values

    - #### RANGE_EXCLUSIVE

          public static final int RANGE_EXCLUSIVE

      See Also:
        Constant Field Values

    - #### SPREAD_DOT

          public static final int SPREAD_DOT

      See Also:
        Constant Field Values

    - #### SAFE_DOT

          public static final int SAFE_DOT

      See Also:
        Constant Field Values

    - #### SAFE_CHAIN_DOT

          public static final int SAFE_CHAIN_DOT

      See Also:
        Constant Field Values

    - #### ELVIS

          public static final int ELVIS

      See Also:
        Constant Field Values

    - #### METHOD_POINTER

          public static final int METHOD_POINTER

      See Also:
        Constant Field Values

    - #### METHOD_REFERENCE

          public static final int METHOD_REFERENCE

      See Also:
        Constant Field Values

    - #### REGEX_FIND

          public static final int REGEX_FIND

      See Also:
        Constant Field Values

    - #### REGEX_MATCH

          public static final int REGEX_MATCH

      See Also:
        Constant Field Values

    - #### POWER

          public static final int POWER

      See Also:
        Constant Field Values

    - #### POWER_ASSIGN

          public static final int POWER_ASSIGN

      See Also:
        Constant Field Values

    - #### SPACESHIP

          public static final int SPACESHIP

      See Also:
        Constant Field Values

    - #### IDENTICAL

          public static final int IDENTICAL

      See Also:
        Constant Field Values

    - #### NOT_IDENTICAL

          public static final int NOT_IDENTICAL

      See Also:
        Constant Field Values

    - #### ARROW

          public static final int ARROW

      See Also:
        Constant Field Values

    - #### NOT_INSTANCEOF

          public static final int NOT_INSTANCEOF

      See Also:
        Constant Field Values

    - #### NOT_IN

          public static final int NOT_IN

      See Also:
        Constant Field Values

    - #### LPAREN

          public static final int LPAREN

      See Also:
        Constant Field Values

    - #### RPAREN

          public static final int RPAREN

      See Also:
        Constant Field Values

    - #### LBRACE

          public static final int LBRACE

      See Also:
        Constant Field Values

    - #### RBRACE

          public static final int RBRACE

      See Also:
        Constant Field Values

    - #### LBRACK

          public static final int LBRACK

      See Also:
        Constant Field Values

    - #### RBRACK

          public static final int RBRACK

      See Also:
        Constant Field Values

    - #### SEMI

          public static final int SEMI

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### DOT

          public static final int DOT

      See Also:
        Constant Field Values

    - #### ASSIGN

          public static final int ASSIGN

      See Also:
        Constant Field Values

    - #### GT

          public static final int GT

      See Also:
        Constant Field Values

    - #### LT

          public static final int LT

      See Also:
        Constant Field Values

    - #### NOT

          public static final int NOT

      See Also:
        Constant Field Values

    - #### BITNOT

          public static final int BITNOT

      See Also:
        Constant Field Values

    - #### QUESTION

          public static final int QUESTION

      See Also:
        Constant Field Values

    - #### COLON

          public static final int COLON

      See Also:
        Constant Field Values

    - #### EQUAL

          public static final int EQUAL

      See Also:
        Constant Field Values

    - #### LE

          public static final int LE

      See Also:
        Constant Field Values

    - #### GE

          public static final int GE

      See Also:
        Constant Field Values

    - #### NOTEQUAL

          public static final int NOTEQUAL

      See Also:
        Constant Field Values

    - #### AND

          public static final int AND

      See Also:
        Constant Field Values

    - #### OR

          public static final int OR

      See Also:
        Constant Field Values

    - #### INC

          public static final int INC

      See Also:
        Constant Field Values

    - #### DEC

          public static final int DEC

      See Also:
        Constant Field Values

    - #### ADD

          public static final int ADD

      See Also:
        Constant Field Values

    - #### SUB

          public static final int SUB

      See Also:
        Constant Field Values

    - #### MUL

          public static final int MUL

      See Also:
        Constant Field Values

    - #### DIV

          public static final int DIV

      See Also:
        Constant Field Values

    - #### BITAND

          public static final int BITAND

      See Also:
        Constant Field Values

    - #### BITOR

          public static final int BITOR

      See Also:
        Constant Field Values

    - #### XOR

          public static final int XOR

      See Also:
        Constant Field Values

    - #### MOD

          public static final int MOD

      See Also:
        Constant Field Values

    - #### ADD_ASSIGN

          public static final int ADD_ASSIGN

      See Also:
        Constant Field Values

    - #### SUB_ASSIGN

          public static final int SUB_ASSIGN

      See Also:
        Constant Field Values

    - #### MUL_ASSIGN

          public static final int MUL_ASSIGN

      See Also:
        Constant Field Values

    - #### DIV_ASSIGN

          public static final int DIV_ASSIGN

      See Also:
        Constant Field Values

    - #### AND_ASSIGN

          public static final int AND_ASSIGN

      See Also:
        Constant Field Values

    - #### OR_ASSIGN

          public static final int OR_ASSIGN

      See Also:
        Constant Field Values

    - #### XOR_ASSIGN

          public static final int XOR_ASSIGN

      See Also:
        Constant Field Values

    - #### MOD_ASSIGN

          public static final int MOD_ASSIGN

      See Also:
        Constant Field Values

    - #### LSHIFT_ASSIGN

          public static final int LSHIFT_ASSIGN

      See Also:
        Constant Field Values

    - #### RSHIFT_ASSIGN

          public static final int RSHIFT_ASSIGN

      See Also:
        Constant Field Values

    - #### URSHIFT_ASSIGN

          public static final int URSHIFT_ASSIGN

      See Also:
        Constant Field Values

    - #### ELVIS_ASSIGN

          public static final int ELVIS_ASSIGN

      See Also:
        Constant Field Values

    - #### CapitalizedIdentifier

          public static final int CapitalizedIdentifier

      See Also:
        Constant Field Values

    - #### Identifier

          public static final int Identifier

      See Also:
        Constant Field Values

    - #### AT

          public static final int AT

      See Also:
        Constant Field Values

    - #### ELLIPSIS

          public static final int ELLIPSIS

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### NL

          public static final int NL

      See Also:
        Constant Field Values

    - #### SH_COMMENT

          public static final int SH_COMMENT

      See Also:
        Constant Field Values

    - #### UNEXPECTED_CHAR

          public static final int UNEXPECTED_CHAR

      See Also:
        Constant Field Values

    - #### RULE_compilationUnit

          public static final int RULE_compilationUnit

      See Also:
        Constant Field Values

    - #### RULE_scriptStatements

          public static final int RULE_scriptStatements

      See Also:
        Constant Field Values

    - #### RULE_scriptStatement

          public static final int RULE_scriptStatement

      See Also:
        Constant Field Values

    - #### RULE_packageDeclaration

          public static final int RULE_packageDeclaration

      See Also:
        Constant Field Values

    - #### RULE_importDeclaration

          public static final int RULE_importDeclaration

      See Also:
        Constant Field Values

    - #### RULE_typeDeclaration

          public static final int RULE_typeDeclaration

      See Also:
        Constant Field Values

    - #### RULE_modifier

          public static final int RULE_modifier

      See Also:
        Constant Field Values

    - #### RULE_modifiersOpt

          public static final int RULE_modifiersOpt

      See Also:
        Constant Field Values

    - #### RULE_modifiers

          public static final int RULE_modifiers

      See Also:
        Constant Field Values

    - #### RULE_classOrInterfaceModifiersOpt

          public static final int RULE_classOrInterfaceModifiersOpt

      See Also:
        Constant Field Values

    - #### RULE_classOrInterfaceModifiers

          public static final int RULE_classOrInterfaceModifiers

      See Also:
        Constant Field Values

    - #### RULE_classOrInterfaceModifier

          public static final int RULE_classOrInterfaceModifier

      See Also:
        Constant Field Values

    - #### RULE_variableModifier

          public static final int RULE_variableModifier

      See Also:
        Constant Field Values

    - #### RULE_variableModifiersOpt

          public static final int RULE_variableModifiersOpt

      See Also:
        Constant Field Values

    - #### RULE_variableModifiers

          public static final int RULE_variableModifiers

      See Also:
        Constant Field Values

    - #### RULE_typeParameters

          public static final int RULE_typeParameters

      See Also:
        Constant Field Values

    - #### RULE_typeParameter

          public static final int RULE_typeParameter

      See Also:
        Constant Field Values

    - #### RULE_typeBound

          public static final int RULE_typeBound

      See Also:
        Constant Field Values

    - #### RULE_typeList

          public static final int RULE_typeList

      See Also:
        Constant Field Values

    - #### RULE_classDeclaration

          public static final int RULE_classDeclaration

      See Also:
        Constant Field Values

    - #### RULE_classBody

          public static final int RULE_classBody

      See Also:
        Constant Field Values

    - #### RULE_enumConstants

          public static final int RULE_enumConstants

      See Also:
        Constant Field Values

    - #### RULE_enumConstant

          public static final int RULE_enumConstant

      See Also:
        Constant Field Values

    - #### RULE_classBodyDeclaration

          public static final int RULE_classBodyDeclaration

      See Also:
        Constant Field Values

    - #### RULE_memberDeclaration

          public static final int RULE_memberDeclaration

      See Also:
        Constant Field Values

    - #### RULE_methodDeclaration

          public static final int RULE_methodDeclaration

      See Also:
        Constant Field Values

    - #### RULE_methodName

          public static final int RULE_methodName

      See Also:
        Constant Field Values

    - #### RULE_returnType

          public static final int RULE_returnType

      See Also:
        Constant Field Values

    - #### RULE_fieldDeclaration

          public static final int RULE_fieldDeclaration

      See Also:
        Constant Field Values

    - #### RULE_variableDeclarators

          public static final int RULE_variableDeclarators

      See Also:
        Constant Field Values

    - #### RULE_variableDeclarator

          public static final int RULE_variableDeclarator

      See Also:
        Constant Field Values

    - #### RULE_variableDeclaratorId

          public static final int RULE_variableDeclaratorId

      See Also:
        Constant Field Values

    - #### RULE_variableInitializer

          public static final int RULE_variableInitializer

      See Also:
        Constant Field Values

    - #### RULE_variableInitializers

          public static final int RULE_variableInitializers

      See Also:
        Constant Field Values

    - #### RULE_emptyDims

          public static final int RULE_emptyDims

      See Also:
        Constant Field Values

    - #### RULE_emptyDimsOpt

          public static final int RULE_emptyDimsOpt

      See Also:
        Constant Field Values

    - #### RULE_standardType

          public static final int RULE_standardType

      See Also:
        Constant Field Values

    - #### RULE_type

          public static final int RULE_type

      See Also:
        Constant Field Values

    - #### RULE_classOrInterfaceType

          public static final int RULE_classOrInterfaceType

      See Also:
        Constant Field Values

    - #### RULE_generalClassOrInterfaceType

          public static final int RULE_generalClassOrInterfaceType

      See Also:
        Constant Field Values

    - #### RULE_standardClassOrInterfaceType

          public static final int RULE_standardClassOrInterfaceType

      See Also:
        Constant Field Values

    - #### RULE_primitiveType

          public static final int RULE_primitiveType

      See Also:
        Constant Field Values

    - #### RULE_typeArguments

          public static final int RULE_typeArguments

      See Also:
        Constant Field Values

    - #### RULE_typeArgument

          public static final int RULE_typeArgument

      See Also:
        Constant Field Values

    - #### RULE_annotatedQualifiedClassName

          public static final int RULE_annotatedQualifiedClassName

      See Also:
        Constant Field Values

    - #### RULE_qualifiedClassNameList

          public static final int RULE_qualifiedClassNameList

      See Also:
        Constant Field Values

    - #### RULE_formalParameters

          public static final int RULE_formalParameters

      See Also:
        Constant Field Values

    - #### RULE_formalParameterList

          public static final int RULE_formalParameterList

      See Also:
        Constant Field Values

    - #### RULE_thisFormalParameter

          public static final int RULE_thisFormalParameter

      See Also:
        Constant Field Values

    - #### RULE_formalParameter

          public static final int RULE_formalParameter

      See Also:
        Constant Field Values

    - #### RULE_methodBody

          public static final int RULE_methodBody

      See Also:
        Constant Field Values

    - #### RULE_qualifiedName

          public static final int RULE_qualifiedName

      See Also:
        Constant Field Values

    - #### RULE_qualifiedNameElement

          public static final int RULE_qualifiedNameElement

      See Also:
        Constant Field Values

    - #### RULE_qualifiedNameElements

          public static final int RULE_qualifiedNameElements

      See Also:
        Constant Field Values

    - #### RULE_qualifiedClassName

          public static final int RULE_qualifiedClassName

      See Also:
        Constant Field Values

    - #### RULE_qualifiedStandardClassName

          public static final int RULE_qualifiedStandardClassName

      See Also:
        Constant Field Values

    - #### RULE_literal

          public static final int RULE_literal

      See Also:
        Constant Field Values

    - #### RULE_gstring

          public static final int RULE_gstring

      See Also:
        Constant Field Values

    - #### RULE_gstringValue

          public static final int RULE_gstringValue

      See Also:
        Constant Field Values

    - #### RULE_gstringPath

          public static final int RULE_gstringPath

      See Also:
        Constant Field Values

    - #### RULE_lambdaExpression

          public static final int RULE_lambdaExpression

      See Also:
        Constant Field Values

    - #### RULE_standardLambdaExpression

          public static final int RULE_standardLambdaExpression

      See Also:
        Constant Field Values

    - #### RULE_lambdaParameters

          public static final int RULE_lambdaParameters

      See Also:
        Constant Field Values

    - #### RULE_standardLambdaParameters

          public static final int RULE_standardLambdaParameters

      See Also:
        Constant Field Values

    - #### RULE_lambdaBody

          public static final int RULE_lambdaBody

      See Also:
        Constant Field Values

    - #### RULE_closure

          public static final int RULE_closure

      See Also:
        Constant Field Values

    - #### RULE_closureOrLambdaExpression

          public static final int RULE_closureOrLambdaExpression

      See Also:
        Constant Field Values

    - #### RULE_blockStatementsOpt

          public static final int RULE_blockStatementsOpt

      See Also:
        Constant Field Values

    - #### RULE_blockStatements

          public static final int RULE_blockStatements

      See Also:
        Constant Field Values

    - #### RULE_annotationsOpt

          public static final int RULE_annotationsOpt

      See Also:
        Constant Field Values

    - #### RULE_annotation

          public static final int RULE_annotation

      See Also:
        Constant Field Values

    - #### RULE_elementValues

          public static final int RULE_elementValues

      See Also:
        Constant Field Values

    - #### RULE_annotationName

          public static final int RULE_annotationName

      See Also:
        Constant Field Values

    - #### RULE_elementValuePairs

          public static final int RULE_elementValuePairs

      See Also:
        Constant Field Values

    - #### RULE_elementValuePair

          public static final int RULE_elementValuePair

      See Also:
        Constant Field Values

    - #### RULE_elementValuePairName

          public static final int RULE_elementValuePairName

      See Also:
        Constant Field Values

    - #### RULE_elementValue

          public static final int RULE_elementValue

      See Also:
        Constant Field Values

    - #### RULE_elementValueArrayInitializer

          public static final int RULE_elementValueArrayInitializer

      See Also:
        Constant Field Values

    - #### RULE_block

          public static final int RULE_block

      See Also:
        Constant Field Values

    - #### RULE_blockStatement

          public static final int RULE_blockStatement

      See Also:
        Constant Field Values

    - #### RULE_localVariableDeclaration

          public static final int RULE_localVariableDeclaration

      See Also:
        Constant Field Values

    - #### RULE_classifiedModifiers

          public static final int RULE_classifiedModifiers

      See Also:
        Constant Field Values

    - #### RULE_variableDeclaration

          public static final int RULE_variableDeclaration

      See Also:
        Constant Field Values

    - #### RULE_typeNamePairs

          public static final int RULE_typeNamePairs

      See Also:
        Constant Field Values

    - #### RULE_typeNamePair

          public static final int RULE_typeNamePair

      See Also:
        Constant Field Values

    - #### RULE_variableNames

          public static final int RULE_variableNames

      See Also:
        Constant Field Values

    - #### RULE_conditionalStatement

          public static final int RULE_conditionalStatement

      See Also:
        Constant Field Values

    - #### RULE_ifElseStatement

          public static final int RULE_ifElseStatement

      See Also:
        Constant Field Values

    - #### RULE_switchStatement

          public static final int RULE_switchStatement

      See Also:
        Constant Field Values

    - #### RULE_loopStatement

          public static final int RULE_loopStatement

      See Also:
        Constant Field Values

    - #### RULE_continueStatement

          public static final int RULE_continueStatement

      See Also:
        Constant Field Values

    - #### RULE_breakStatement

          public static final int RULE_breakStatement

      See Also:
        Constant Field Values

    - #### RULE_tryCatchStatement

          public static final int RULE_tryCatchStatement

      See Also:
        Constant Field Values

    - #### RULE_assertStatement

          public static final int RULE_assertStatement

      See Also:
        Constant Field Values

    - #### RULE_statement

          public static final int RULE_statement

      See Also:
        Constant Field Values

    - #### RULE_catchClause

          public static final int RULE_catchClause

      See Also:
        Constant Field Values

    - #### RULE_catchType

          public static final int RULE_catchType

      See Also:
        Constant Field Values

    - #### RULE_finallyBlock

          public static final int RULE_finallyBlock

      See Also:
        Constant Field Values

    - #### RULE_resources

          public static final int RULE_resources

      See Also:
        Constant Field Values

    - #### RULE_resourceList

          public static final int RULE_resourceList

      See Also:
        Constant Field Values

    - #### RULE_resource

          public static final int RULE_resource

      See Also:
        Constant Field Values

    - #### RULE_switchBlockStatementGroup

          public static final int RULE_switchBlockStatementGroup

      See Also:
        Constant Field Values

    - #### RULE_switchLabel

          public static final int RULE_switchLabel

      See Also:
        Constant Field Values

    - #### RULE_forControl

          public static final int RULE_forControl

      See Also:
        Constant Field Values

    - #### RULE_enhancedForControl

          public static final int RULE_enhancedForControl

      See Also:
        Constant Field Values

    - #### RULE_classicalForControl

          public static final int RULE_classicalForControl

      See Also:
        Constant Field Values

    - #### RULE_forInit

          public static final int RULE_forInit

      See Also:
        Constant Field Values

    - #### RULE_forUpdate

          public static final int RULE_forUpdate

      See Also:
        Constant Field Values

    - #### RULE_castParExpression

          public static final int RULE_castParExpression

      See Also:
        Constant Field Values

    - #### RULE_parExpression

          public static final int RULE_parExpression

      See Also:
        Constant Field Values

    - #### RULE_expressionInPar

          public static final int RULE_expressionInPar

      See Also:
        Constant Field Values

    - #### RULE_expressionList

          public static final int RULE_expressionList

      See Also:
        Constant Field Values

    - #### RULE_expressionListElement

          public static final int RULE_expressionListElement

      See Also:
        Constant Field Values

    - #### RULE_enhancedStatementExpression

          public static final int RULE_enhancedStatementExpression

      See Also:
        Constant Field Values

    - #### RULE_statementExpression

          public static final int RULE_statementExpression

      See Also:
        Constant Field Values

    - #### RULE_postfixExpression

          public static final int RULE_postfixExpression

      See Also:
        Constant Field Values

    - #### RULE_expression

          public static final int RULE_expression

      See Also:
        Constant Field Values

    - #### RULE_castOperandExpression

          public static final int RULE_castOperandExpression

      See Also:
        Constant Field Values

    - #### RULE_commandExpression

          public static final int RULE_commandExpression

      See Also:
        Constant Field Values

    - #### RULE_commandArgument

          public static final int RULE_commandArgument

      See Also:
        Constant Field Values

    - #### RULE_pathExpression

          public static final int RULE_pathExpression

      See Also:
        Constant Field Values

    - #### RULE_pathElement

          public static final int RULE_pathElement

      See Also:
        Constant Field Values

    - #### RULE_namePart

          public static final int RULE_namePart

      See Also:
        Constant Field Values

    - #### RULE_dynamicMemberName

          public static final int RULE_dynamicMemberName

      See Also:
        Constant Field Values

    - #### RULE_indexPropertyArgs

          public static final int RULE_indexPropertyArgs

      See Also:
        Constant Field Values

    - #### RULE_namedPropertyArgs

          public static final int RULE_namedPropertyArgs

      See Also:
        Constant Field Values

    - #### RULE_primary

          public static final int RULE_primary

      See Also:
        Constant Field Values

    - #### RULE_list

          public static final int RULE_list

      See Also:
        Constant Field Values

    - #### RULE_map

          public static final int RULE_map

      See Also:
        Constant Field Values

    - #### RULE_mapEntryList

          public static final int RULE_mapEntryList

      See Also:
        Constant Field Values

    - #### RULE_mapEntry

          public static final int RULE_mapEntry

      See Also:
        Constant Field Values

    - #### RULE_mapEntryLabel

          public static final int RULE_mapEntryLabel

      See Also:
        Constant Field Values

    - #### RULE_creator

          public static final int RULE_creator

      See Also:
        Constant Field Values

    - #### RULE_dim

          public static final int RULE_dim

      See Also:
        Constant Field Values

    - #### RULE_arrayInitializer

          public static final int RULE_arrayInitializer

      See Also:
        Constant Field Values

    - #### RULE_anonymousInnerClassDeclaration

          public static final int RULE_anonymousInnerClassDeclaration

      See Also:
        Constant Field Values

    - #### RULE_createdName

          public static final int RULE_createdName

      See Also:
        Constant Field Values

    - #### RULE_nonWildcardTypeArguments

          public static final int RULE_nonWildcardTypeArguments

      See Also:
        Constant Field Values

    - #### RULE_typeArgumentsOrDiamond

          public static final int RULE_typeArgumentsOrDiamond

      See Also:
        Constant Field Values

    - #### RULE_arguments

          public static final int RULE_arguments

      See Also:
        Constant Field Values

    - #### RULE_argumentList

          public static final int RULE_argumentList

      See Also:
        Constant Field Values

    - #### RULE_enhancedArgumentList

          public static final int RULE_enhancedArgumentList

      See Also:
        Constant Field Values

    - #### RULE_argumentListElement

          public static final int RULE_argumentListElement

      See Also:
        Constant Field Values

    - #### RULE_enhancedArgumentListElement

          public static final int RULE_enhancedArgumentListElement

      See Also:
        Constant Field Values

    - #### RULE_stringLiteral

          public static final int RULE_stringLiteral

      See Also:
        Constant Field Values

    - #### RULE_className

          public static final int RULE_className

      See Also:
        Constant Field Values

    - #### RULE_identifier

          public static final int RULE_identifier

      See Also:
        Constant Field Values

    - #### RULE_builtInType

          public static final int RULE_builtInType

      See Also:
        Constant Field Values

    - #### RULE_keywords

          public static final int RULE_keywords

      See Also:
        Constant Field Values

    - #### RULE_rparen

          public static final int RULE_rparen

      See Also:
        Constant Field Values

    - #### RULE_nls

          public static final int RULE_nls

      See Also:
        Constant Field Values

    - #### RULE_sep

          public static final int RULE_sep

      See Also:
        Constant Field Values

    - #### ruleNames

          public static final String[] ruleNames

    - #### VOCABULARY

          public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

    - #### tokenNames

          @Deprecated
          public static final String[] tokenNames

      Deprecated. Use `VOCABULARY` instead.

    - #### _serializedATN

          public static final String _serializedATN

      See Also:
        Constant Field Values

    - #### _ATN

          public static final org.antlr.v4.runtime.atn.ATN _ATN

  - ### Constructor Detail

    - #### GroovyParser

          public GroovyParser(org.antlr.v4.runtime.TokenStream input)

  - ### Method Detail

    - #### getTokenNames

          @Deprecated
          public String[] getTokenNames()

      Deprecated.
      Specified by:
        `getTokenNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getVocabulary

          @NotNull
          public org.antlr.v4.runtime.Vocabulary getVocabulary()

      Overrides:
        `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getGrammarFileName

          public String getGrammarFileName()

      Specified by:
        `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getRuleNames

          public String[] getRuleNames()

      Specified by:
        `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getSerializedATN

          public String getSerializedATN()

      Overrides:
        `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### createFailedPredicateException

          @NotNull
          protected org.antlr.v4.runtime.FailedPredicateException createFailedPredicateException(@Nullable
                                                                                                           String predicate,
                                                                                                           @Nullable
                                                                                                           String message)

    - #### getSyntaxErrorSource

          public int getSyntaxErrorSource()

    - #### getErrorLine

          public int getErrorLine()

    - #### getErrorColumn

          public int getErrorColumn()

    - #### compilationUnit

          public final GroovyParser.CompilationUnitContext compilationUnit()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### scriptStatements

          public final GroovyParser.ScriptStatementsContext scriptStatements()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### scriptStatement

          public final GroovyParser.ScriptStatementContext scriptStatement()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### packageDeclaration

          public final GroovyParser.PackageDeclarationContext packageDeclaration()
                                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### importDeclaration

          public final GroovyParser.ImportDeclarationContext importDeclaration()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### typeDeclaration

          public final GroovyParser.TypeDeclarationContext typeDeclaration()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### modifier

          public final GroovyParser.ModifierContext modifier()
                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### modifiersOpt

          public final GroovyParser.ModifiersOptContext modifiersOpt()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### modifiers

          public final GroovyParser.ModifiersContext modifiers()
                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### classOrInterfaceModifiersOpt

          public final GroovyParser.ClassOrInterfaceModifiersOptContext classOrInterfaceModifiersOpt()
                                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### classOrInterfaceModifiers

          public final GroovyParser.ClassOrInterfaceModifiersContext classOrInterfaceModifiers()
                                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### classOrInterfaceModifier

          public final GroovyParser.ClassOrInterfaceModifierContext classOrInterfaceModifier()
                                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### variableModifier

          public final GroovyParser.VariableModifierContext variableModifier()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### variableModifiersOpt

          public final GroovyParser.VariableModifiersOptContext variableModifiersOpt()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### variableModifiers

          public final GroovyParser.VariableModifiersContext variableModifiers()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### typeParameters

          public final GroovyParser.TypeParametersContext typeParameters()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### typeParameter

          public final GroovyParser.TypeParameterContext typeParameter()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### typeBound

          public final GroovyParser.TypeBoundContext typeBound()
                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### typeList

          public final GroovyParser.TypeListContext typeList()
                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### classDeclaration

          public final GroovyParser.ClassDeclarationContext classDeclaration()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### classBody

          public final GroovyParser.ClassBodyContext classBody(int t)
                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### enumConstants

          public final GroovyParser.EnumConstantsContext enumConstants()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### enumConstant

          public final GroovyParser.EnumConstantContext enumConstant()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### classBodyDeclaration

          public final GroovyParser.ClassBodyDeclarationContext classBodyDeclaration(int t)
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### memberDeclaration

          public final GroovyParser.MemberDeclarationContext memberDeclaration(int t)
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### methodDeclaration

          public final GroovyParser.MethodDeclarationContext methodDeclaration(int t,
                                                                               int ct)
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### methodName

          public final GroovyParser.MethodNameContext methodName()
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### returnType

          public final GroovyParser.ReturnTypeContext returnType(int ct)
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### fieldDeclaration

          public final GroovyParser.FieldDeclarationContext fieldDeclaration()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### variableDeclarators

          public final GroovyParser.VariableDeclaratorsContext variableDeclarators()
                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### variableDeclarator

          public final GroovyParser.VariableDeclaratorContext variableDeclarator()
                                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### variableDeclaratorId

          public final GroovyParser.VariableDeclaratorIdContext variableDeclaratorId()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### variableInitializer

          public final GroovyParser.VariableInitializerContext variableInitializer()
                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### variableInitializers

          public final GroovyParser.VariableInitializersContext variableInitializers()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### emptyDims

          public final GroovyParser.EmptyDimsContext emptyDims()
                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### emptyDimsOpt

          public final GroovyParser.EmptyDimsOptContext emptyDimsOpt()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### standardType

          public final GroovyParser.TypeContext standardType()
                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### type

          public final GroovyParser.TypeContext type()
                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### classOrInterfaceType

          public final GroovyParser.ClassOrInterfaceTypeContext classOrInterfaceType()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### generalClassOrInterfaceType

          public final GroovyParser.ClassOrInterfaceTypeContext generalClassOrInterfaceType()
                                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### standardClassOrInterfaceType

          public final GroovyParser.ClassOrInterfaceTypeContext standardClassOrInterfaceType()
                                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### primitiveType

          public final GroovyParser.PrimitiveTypeContext primitiveType()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### typeArguments

          public final GroovyParser.TypeArgumentsContext typeArguments()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### typeArgument

          public final GroovyParser.TypeArgumentContext typeArgument()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### annotatedQualifiedClassName

          public final GroovyParser.AnnotatedQualifiedClassNameContext annotatedQualifiedClassName()
                                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### qualifiedClassNameList

          public final GroovyParser.QualifiedClassNameListContext qualifiedClassNameList()
                                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### formalParameters

          public final GroovyParser.FormalParametersContext formalParameters()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### formalParameterList

          public final GroovyParser.FormalParameterListContext formalParameterList()
                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### thisFormalParameter

          public final GroovyParser.ThisFormalParameterContext thisFormalParameter()
                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### formalParameter

          public final GroovyParser.FormalParameterContext formalParameter()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### methodBody

          public final GroovyParser.MethodBodyContext methodBody()
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### qualifiedName

          public final GroovyParser.QualifiedNameContext qualifiedName()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### qualifiedNameElement

          public final GroovyParser.QualifiedNameElementContext qualifiedNameElement()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### qualifiedNameElements

          public final GroovyParser.QualifiedNameElementsContext qualifiedNameElements()
                                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### qualifiedClassName

          public final GroovyParser.QualifiedClassNameContext qualifiedClassName()
                                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### qualifiedStandardClassName

          public final GroovyParser.QualifiedStandardClassNameContext qualifiedStandardClassName()
                                                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### literal

          public final GroovyParser.LiteralContext literal()
                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gstring

          public final GroovyParser.GstringContext gstring()
                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gstringValue

          public final GroovyParser.GstringValueContext gstringValue()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### gstringPath

          public final GroovyParser.GstringPathContext gstringPath()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### lambdaExpression

          public final GroovyParser.StandardLambdaExpressionContext lambdaExpression()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### standardLambdaExpression

          public final GroovyParser.StandardLambdaExpressionContext standardLambdaExpression()
                                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### lambdaParameters

          public final GroovyParser.StandardLambdaParametersContext lambdaParameters()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### standardLambdaParameters

          public final GroovyParser.StandardLambdaParametersContext standardLambdaParameters()
                                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### lambdaBody

          public final GroovyParser.LambdaBodyContext lambdaBody()
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### closure

          public final GroovyParser.ClosureContext closure()
                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### closureOrLambdaExpression

          public final GroovyParser.ClosureOrLambdaExpressionContext closureOrLambdaExpression()
                                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### blockStatementsOpt

          public final GroovyParser.BlockStatementsOptContext blockStatementsOpt()
                                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### blockStatements

          public final GroovyParser.BlockStatementsContext blockStatements()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### annotationsOpt

          public final GroovyParser.AnnotationsOptContext annotationsOpt()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### annotation

          public final GroovyParser.AnnotationContext annotation()
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### elementValues

          public final GroovyParser.ElementValuesContext elementValues()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### annotationName

          public final GroovyParser.AnnotationNameContext annotationName()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### elementValuePairs

          public final GroovyParser.ElementValuePairsContext elementValuePairs()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### elementValuePair

          public final GroovyParser.ElementValuePairContext elementValuePair()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### elementValuePairName

          public final GroovyParser.ElementValuePairNameContext elementValuePairName()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### elementValue

          public final GroovyParser.ElementValueContext elementValue()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### elementValueArrayInitializer

          public final GroovyParser.ElementValueArrayInitializerContext elementValueArrayInitializer()
                                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### block

          public final GroovyParser.BlockContext block()
                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### blockStatement

          public final GroovyParser.BlockStatementContext blockStatement()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### localVariableDeclaration

          public final GroovyParser.LocalVariableDeclarationContext localVariableDeclaration()
                                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### classifiedModifiers

          public final GroovyParser.ClassifiedModifiersContext classifiedModifiers(int t)
                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### variableDeclaration

          public final GroovyParser.VariableDeclarationContext variableDeclaration(int t)
                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### typeNamePairs

          public final GroovyParser.TypeNamePairsContext typeNamePairs()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### typeNamePair

          public final GroovyParser.TypeNamePairContext typeNamePair()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### variableNames

          public final GroovyParser.VariableNamesContext variableNames()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### conditionalStatement

          public final GroovyParser.ConditionalStatementContext conditionalStatement()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### ifElseStatement

          public final GroovyParser.IfElseStatementContext ifElseStatement()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### switchStatement

          public final GroovyParser.SwitchStatementContext switchStatement()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### loopStatement

          public final GroovyParser.LoopStatementContext loopStatement()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### continueStatement

          public final GroovyParser.ContinueStatementContext continueStatement()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### breakStatement

          public final GroovyParser.BreakStatementContext breakStatement()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### tryCatchStatement

          public final GroovyParser.TryCatchStatementContext tryCatchStatement()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### assertStatement

          public final GroovyParser.AssertStatementContext assertStatement()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### statement

          public final GroovyParser.StatementContext statement()
                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### catchClause

          public final GroovyParser.CatchClauseContext catchClause()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### catchType

          public final GroovyParser.CatchTypeContext catchType()
                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### finallyBlock

          public final GroovyParser.FinallyBlockContext finallyBlock()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### resources

          public final GroovyParser.ResourcesContext resources()
                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### resourceList

          public final GroovyParser.ResourceListContext resourceList()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### resource

          public final GroovyParser.ResourceContext resource()
                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### switchBlockStatementGroup

          public final GroovyParser.SwitchBlockStatementGroupContext switchBlockStatementGroup()
                                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### switchLabel

          public final GroovyParser.SwitchLabelContext switchLabel()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### forControl

          public final GroovyParser.ForControlContext forControl()
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### enhancedForControl

          public final GroovyParser.EnhancedForControlContext enhancedForControl()
                                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### classicalForControl

          public final GroovyParser.ClassicalForControlContext classicalForControl()
                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### forInit

          public final GroovyParser.ForInitContext forInit()
                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### forUpdate

          public final GroovyParser.ForUpdateContext forUpdate()
                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### castParExpression

          public final GroovyParser.CastParExpressionContext castParExpression()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### parExpression

          public final GroovyParser.ParExpressionContext parExpression()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### expressionInPar

          public final GroovyParser.ExpressionInParContext expressionInPar()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### expressionList

          public final GroovyParser.ExpressionListContext expressionList(boolean canSpread)
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### expressionListElement

          public final GroovyParser.ExpressionListElementContext expressionListElement(boolean canSpread)
                                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### enhancedStatementExpression

          public final GroovyParser.EnhancedStatementExpressionContext enhancedStatementExpression()
                                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### statementExpression

          public final GroovyParser.StatementExpressionContext statementExpression()
                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### postfixExpression

          public final GroovyParser.PostfixExpressionContext postfixExpression()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### expression

          public final GroovyParser.ExpressionContext expression()
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### castOperandExpression

          public final GroovyParser.ExpressionContext castOperandExpression()
                                                                     throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### commandExpression

          public final GroovyParser.CommandExpressionContext commandExpression()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### commandArgument

          public final GroovyParser.CommandArgumentContext commandArgument()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### pathExpression

          public final GroovyParser.PathExpressionContext pathExpression()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### pathElement

          public final GroovyParser.PathElementContext pathElement()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### namePart

          public final GroovyParser.NamePartContext namePart()
                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### dynamicMemberName

          public final GroovyParser.DynamicMemberNameContext dynamicMemberName()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### indexPropertyArgs

          public final GroovyParser.IndexPropertyArgsContext indexPropertyArgs()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### namedPropertyArgs

          public final GroovyParser.NamedPropertyArgsContext namedPropertyArgs()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### primary

          public final GroovyParser.PrimaryContext primary()
                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### list

          public final GroovyParser.ListContext list()
                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### map

          public final GroovyParser.MapContext map()
                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### mapEntryList

          public final GroovyParser.MapEntryListContext mapEntryList()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### mapEntry

          public final GroovyParser.MapEntryContext mapEntry()
                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### mapEntryLabel

          public final GroovyParser.MapEntryLabelContext mapEntryLabel()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### creator

          public final GroovyParser.CreatorContext creator(int t)
                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### dim

          public final GroovyParser.DimContext dim()
                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### arrayInitializer

          public final GroovyParser.ArrayInitializerContext arrayInitializer()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### anonymousInnerClassDeclaration

          public final GroovyParser.AnonymousInnerClassDeclarationContext anonymousInnerClassDeclaration(int t)
                                                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### createdName

          public final GroovyParser.CreatedNameContext createdName()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nonWildcardTypeArguments

          public final GroovyParser.NonWildcardTypeArgumentsContext nonWildcardTypeArguments()
                                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### typeArgumentsOrDiamond

          public final GroovyParser.TypeArgumentsOrDiamondContext typeArgumentsOrDiamond()
                                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### arguments

          public final GroovyParser.ArgumentsContext arguments()
                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### argumentList

          public final GroovyParser.EnhancedArgumentListContext argumentList()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### enhancedArgumentList

          public final GroovyParser.EnhancedArgumentListContext enhancedArgumentList()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### argumentListElement

          public final GroovyParser.EnhancedArgumentListElementContext argumentListElement()
                                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### enhancedArgumentListElement

          public final GroovyParser.EnhancedArgumentListElementContext enhancedArgumentListElement()
                                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### stringLiteral

          public final GroovyParser.StringLiteralContext stringLiteral()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### className

          public final GroovyParser.ClassNameContext className()
                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### identifier

          public final GroovyParser.IdentifierContext identifier()
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### builtInType

          public final GroovyParser.BuiltInTypeContext builtInType()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### keywords

          public final GroovyParser.KeywordsContext keywords()
                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### rparen

          public final GroovyParser.RparenContext rparen()
                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nls

          public final GroovyParser.NlsContext nls()
                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### sep

          public final GroovyParser.SepContext sep()
                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### sempred

          public boolean sempred(org.antlr.v4.runtime.RuleContext _localctx,
                                 int ruleIndex,
                                 int predIndex)

      Overrides:
        `sempred` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`